Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 593297 - kernal panic during install
Summary: kernal panic during install
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Don Zickus
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-18 13:13 UTC by Ted X Toth
Modified: 2011-04-13 20:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-13 20:05:15 UTC
Target Upstream Version:


Attachments (Terms of Use)
picture of panic traceback (264.72 KB, image/jpeg)
2010-05-18 13:13 UTC, Ted X Toth
no flags Details
Panic during installation on a Dell T110 (122.13 KB, image/jpeg)
2010-11-04 17:38 UTC, Joshua Cope
no flags Details

Description Ted X Toth 2010-05-18 13:13:10 UTC
Created attachment 414843 [details]
picture of panic traceback

Description of problem:
Kernel panics when installing on HP dc7900 typically while the starting the installation process.

Version-Release number of selected component (if applicable):
2.6.32-19

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 Don Zickus 2010-06-02 20:58:06 UTC
Hello Ted,

This bug looks similar to 
https://bugzilla.redhat.com/show_bug.cgi?id=574570

I think it might be fixed in 2.6.32-25.el5.  But the important part of the stack trace scrolled off the screen, so I am not sure.

Could you try the -25.el6 kernel here:
http://people.redhat.com/dzickus/.bz593297

and let me know if that works for you.

Cheers,
Don

Comment 3 RHEL Program Management 2010-06-07 16:09:51 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 4 Ted X Toth 2010-06-07 17:21:40 UTC
(In reply to comment #2)
> Hello Ted,
> 
> This bug looks similar to 
> https://bugzilla.redhat.com/show_bug.cgi?id=574570
> 
> I think it might be fixed in 2.6.32-25.el5.  But the important part of the
> stack trace scrolled off the screen, so I am not sure.
> 
> Could you try the -25.el6 kernel here:
> http://people.redhat.com/dzickus/.bz593297
> 
> and let me know if that works for you.
> 
> Cheers,
> Don    

I'd be happy to test this but I don't know how I would as the kernel would have to be in an iso I use to burn the DVD to install.

Ted

Comment 5 Don Zickus 2010-06-07 17:45:47 UTC
Ted,

You should be able to add the kernel parameter 'nmi_watchdog=0' before installing.  That should allow you to install successfully.  The next step would be to grab the kernel I mentioned and install it (and remove the nmi_watchdog=0 parameter in the /etc/grub.conf file).  Rebooting into the new kernel and make sure it boots successfully.

Also if you do manage to install successfully (using nmi_watchdog=0), then attaching the output of 'cat /proc/interrupts' would allow me to quickly determine if this bz is related to the one I listed above.

Let me know if you have any trouble.

Cheers,
Don

Comment 6 RHEL Program Management 2010-07-15 14:50:27 UTC
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Comment 7 Suzanne Yeghiayan 2010-07-23 16:04:39 UTC
Please retest with Beta 2 Refresh: RHEL6.0-20100715.2 with kernel-2.6.32-44.1

Comment 8 Joshua Cope 2010-11-04 17:35:36 UTC
I'm getting panics trying to install beta RHEL6.0-20100414.0 to a Dell T410 - unfortunately it scrolls off the screen too quickly to catch what's going on, but the bottom of the stack looks extremely similar to yours.

I'll try the nmi_watchdog=0 workaround and see if I can manage to install.

Comment 9 Joshua Cope 2010-11-04 17:36:47 UTC
Correction: my system is a Dell PowerEdge T110.

Comment 10 Joshua Cope 2010-11-04 17:38:19 UTC
Created attachment 457893 [details]
Panic during installation on a Dell T110

Usually gets going and starts installing packages, then dies like this after a while.

Comment 11 Joshua Cope 2010-11-04 17:43:57 UTC
Hmm... never mind; I just noticed the filename on that ISO.
Let me find RHEL6.0-20100922.1 and try again.

Comment 12 Don Zickus 2010-11-09 21:12:40 UTC
Hi Ted,

Any progress?  I think we shipped update ISOs that you might be able to try.

Cheers,
Don

Comment 13 Joshua Cope 2010-11-09 21:36:54 UTC
My crash was fixed in the latest beta update; don't know about the original submitter, though.

Comment 14 Don Zickus 2010-12-13 19:45:53 UTC
Hi Ted,

Ping?  Any feedback with the released RHEL-6 bits?

Cheers,
Don

Comment 15 Don Zickus 2011-04-13 20:05:15 UTC
Assuming the latest kernel fixed the problem.

Closing.


Note You need to log in before you can comment on or make changes to this bug.